package com.kroud.swing;

import com.kroud.swing.ui.controller.PatientenController;
import com.kroud.swing.ui.controller.JournalController;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.CommandLineRunner;
import org.springframework.stereotype.Component;

import java.awt.*;

/**
 * This CommandLineRunner fires off at runtime and boots up our GUI.
 */
@Component
public class SpringBootSwingCommandLineRunner implements CommandLineRunner {
    private final JournalController controller;
    private final PatientenController patientenController;

    @Autowired
    public SpringBootSwingCommandLineRunner(PatientenController patientenController,
                                            JournalController controller) {
        this.controller = controller;
        this.patientenController = patientenController;
    }


    @Override
    public void run(String... args) {
        //This boots up the GUI.
       // EventQueue.invokeLater(() -> controller.setVisible(true));
        EventQueue.invokeLater(() -> patientenController.f.setVisible(true));
    }
}
