package com.kroud.swing.jpa.service;

import com.kroud.swing.jpa.model.Patient;
import com.kroud.swing.jpa.repository.PatientRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;
import java.util.List;
import java.util.Optional;

@Service
public class PatientenService {

    @Autowired
    PatientRepository patientRepository;

    public Patient createPatient(Patient patient){
        //persist into db : dafür brauchen wir der Entity manager
        patient = patientRepository.save(patient);
        return patient;
    }

    public Patient updatePatient(Patient patient){
        patient = patientRepository.save(patient);
        return  patient;
    }

    public Patient findPatientById(Long id){
        Optional<Patient> optional = patientRepository.findById(id);
        if (optional.isPresent()){
            return optional.get();
        }
        return null;
    }
    public Patient findPatientByName(String name){
        Optional<Patient> optional = patientRepository.findByName(name);
        if (optional.isPresent()){
            return optional.get();
        }
        return null;
    }

    public List<Patient> getPatients(){
        return patientRepository.findAll();
    }
}
